Bug 588421 - Pageflipping disabled in F13
Summary: Pageflipping disabled in F13
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened, Triaged
: 587199 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-03 17:29 UTC by Adam Jackson
Modified: 2011-06-27 16:04 UTC (History)
8 users (show)

Fixed In Version: xorg-x11-drv-intel-2.11.0-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 16:04:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Jackson 2010-05-03 17:29:46 UTC
Description of problem:

The page flipping code has several stability bugs, so we turned it off for F13 gold.  This bug tracks the progress of getting it re-enabled in updates.

Comment 1 Adam Jackson 2010-05-03 17:36:33 UTC
Adding to blocker list so I can get the update tagged.

Citation:

http://lists.fedoraproject.org/pipermail/devel/2010-May/135429.html

Comment 2 Fedora Update System 2010-05-03 20:10:39 UTC
xorg-x11-drv-intel-2.11.0-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xorg-x11-drv-intel-2.11.0-4.fc13

Comment 3 Rex Dieter 2010-05-03 20:55:36 UTC
*** Bug 587199 has been marked as a duplicate of this bug. ***

Comment 4 Adam Williamson 2010-05-04 01:10:41 UTC
should be set MODIFIED, since the update's been submitted...



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Adam Williamson 2010-05-04 01:18:34 UTC
Looks fine here.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Adam Williamson 2010-05-04 23:49:18 UTC
can you please submit the update to stable ASAP? Thanks!

Comment 7 Fedora Update System 2010-05-04 23:51:23 UTC
xorg-x11-drv-intel-2.11.0-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Adel Gadllah 2010-05-05 07:51:28 UTC
(In reply to comment #0)
> Description of problem:
> 
>  This bug tracks the progress of getting it re-enabled in updates.    

So closing it does not make sense.

Reopened and removed blocker status.

Comment 9 Oded Arbel 2010-05-09 13:39:01 UTC
I'm using the intel driver as detailed in comment #7, and I must say that the situation is much better then before, but I still get some problems:
- Sometimes, when I select a window that has not been selected for a while, I get a very quick flicker of the desktop graphic showing and immediately the window returns.

I'm using KDE as the desktop environment, and workstation in question is a  synergy client so I often spend long times with the cursor out of that workstation and all windows inactive.

Comment 10 Reinout van Schouwen 2011-01-03 11:14:03 UTC
Latest Fedora 14 intel driver (2.12.0-6.fc14.1) still outputs this to the Xorg log:
[    31.239] (II) intel(0): Don't panic: https://bugzilla.redhat.com/588421

Comment 11 Bug Zapper 2011-06-02 14:32:27 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2011-06-27 16:04:06 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.